Backend API
$(() => {
const scheduler = $('#scheduler').dxScheduler({
timeZone: 'America/Los_Angeles',
dataSource: data,
views: ['timelineDay', 'timelineWeek', 'timelineWorkWeek', 'timelineMonth'],
currentView: 'timelineMonth',
currentDate: new Date(2021, 1, 2),
firstDayOfWeek: 0,
startDayHour: 8,
endDayHour: 20,
cellDuration: 60,
snapToCellsMode: 'always',
groups: ['priority'],
resources: [{
fieldExpr: 'ownerId',
allowMultiple: true,
dataSource: resourcesData,
label: 'Owner',
useColorAsDefault: true,
icon: 'user',
}, {
fieldExpr: 'priority',
allowMultiple: false,
dataSource: priorityData,
label: 'Priority',
icon: 'tags',
}],
height: 580,
}).dxScheduler('instance');
$('#snap-to-cells-mode').dxSelectBox({
items: ['auto', 'always', 'never'],
value: scheduler.option('snapToCellsMode'),
onValueChanged(e) {
scheduler.option('snapToCellsMode', e.value);
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="js/dx.all.js?v=26.1.4"></script>
<script src="data.js"></script>
<script src="index.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="scheduler"></div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Snap to Grid:</span>
<div id="snap-to-cells-mode"></div>
</div>
</div>
</div>
</body>
</html>
.dx-scheduler-timeline-day .dx-scheduler-cell-sizes-horizontal,
.dx-scheduler-timeline-week .dx-scheduler-cell-sizes-horizontal,
.dx-scheduler-timeline-work-week .dx-scheduler-cell-sizes-horizontal {
width: 100px;
}
.dx-scheduler-appointment-content {
color: white;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
display: flex;
align-items: center;
gap: 10px;
}
const resourcesData = [
{
text: 'Samantha Bright',
id: 1,
color: '#C2185B',
}, {
text: 'John Heart',
id: 2,
color: '#2E7D32',
}, {
text: 'Todd Hoffman',
id: 3,
color: '#1564C0',
}, {
text: 'Sandra Johnson',
id: 4,
color: '#DD2C00',
},
];
const priorityData = [
{
text: 'Low Priority',
id: 1,
color: '#1564C0',
}, {
text: 'High Priority',
id: 2,
color: '#DD2C00',
},
];
const data = [{
text: 'Google AdWords Strategy',
ownerId: [2],
startDate: new Date('2021-02-01T16:00:00.000Z'),
endDate: new Date('2021-02-01T17:30:00.000Z'),
priority: 1,
}, {
text: 'New Brochures',
ownerId: [1],
startDate: new Date('2021-02-01T18:30:00.000Z'),
endDate: new Date('2021-02-01T21:15:00.000Z'),
priority: 2,
}, {
text: 'Brochure Design Review',
ownerId: [4],
startDate: new Date('2021-02-01T20:15:00.000Z'),
endDate: new Date('2021-02-01T23:15:00.000Z'),
priority: 1,
}, {
text: 'Website Re-Design Plan',
ownerId: [3],
startDate: new Date('2021-02-01T23:45:00.000Z'),
endDate: new Date('2021-02-02T18:15:00.000Z'),
priority: 2,
}, {
text: 'Rollout of New Website and Marketing Brochures',
ownerId: [1],
startDate: new Date('2021-02-02T15:15:00.000Z'),
endDate: new Date('2021-02-02T17:45:00.000Z'),
priority: 2,
}, {
text: 'Update Sales Strategy Documents',
ownerId: [2],
startDate: new Date('2021-02-02T19:00:00.000Z'),
endDate: new Date('2021-02-02T20:45:00.000Z'),
priority: 1,
}, {
text: 'Non-Compete Agreements',
ownerId: [4],
startDate: new Date('2021-02-03T16:15:00.000Z'),
endDate: new Date('2021-02-03T17:00:00.000Z'),
priority: 1,
}, {
text: 'Approve Hiring of John Jeffers',
ownerId: [2],
startDate: new Date('2021-02-03T17:00:00.000Z'),
endDate: new Date('2021-02-03T18:15:00.000Z'),
priority: 2,
}, {
text: 'Update NDA Agreement',
ownerId: [1],
startDate: new Date('2021-02-03T18:45:00.000Z'),
endDate: new Date('2021-02-03T20:45:00.000Z'),
priority: 2,
}, {
text: 'Update Employee Files with New NDA',
ownerId: [2],
startDate: new Date('2021-02-03T21:00:00.000Z'),
endDate: new Date('2021-02-03T23:45:00.000Z'),
priority: 1,
}, {
text: 'Submit Questions Regarding New NDA',
ownerId: [1],
startDate: new Date('2021-02-05T01:00:00.000Z'),
endDate: new Date('2021-02-04T16:30:00.000Z'),
priority: 1,
}, {
text: 'Submit Signed NDA',
ownerId: [2],
startDate: new Date('2021-02-04T19:45:00.000Z'),
endDate: new Date('2021-02-04T21:00:00.000Z'),
priority: 1,
}, {
text: 'Review Revenue Projections',
ownerId: [3],
startDate: new Date('2021-02-05T00:15:00.000Z'),
endDate: new Date('2021-02-04T15:00:00.000Z'),
priority: 2,
}, {
text: 'Comment on Revenue Projections',
ownerId: [2],
startDate: new Date('2021-02-05T16:15:00.000Z'),
endDate: new Date('2021-02-05T18:15:00.000Z'),
priority: 1,
}, {
text: 'Provide New Health Insurance Docs',
ownerId: [3],
startDate: new Date('2021-02-05T19:45:00.000Z'),
endDate: new Date('2021-02-05T21:15:00.000Z'),
priority: 2,
}, {
text: 'Review Changes to Health Insurance Coverage',
ownerId: [2],
startDate: new Date('2021-02-05T21:15:00.000Z'),
endDate: new Date('2021-02-05T22:30:00.000Z'),
priority: 1,
}, {
text: 'Review Training Course for any Omissions',
ownerId: [2],
startDate: new Date('2021-02-08T21:00:00.000Z'),
endDate: new Date('2021-02-09T19:00:00.000Z'),
priority: 2,
}, {
text: 'Recall Rebate Form',
ownerId: [1],
startDate: new Date('2021-02-08T19:45:00.000Z'),
endDate: new Date('2021-02-08T20:15:00.000Z'),
priority: 1,
}, {
text: 'Create Report on Customer Feedback',
ownerId: [4],
startDate: new Date('2021-02-09T22:15:00.000Z'),
endDate: new Date('2021-02-10T00:30:00.000Z'),
priority: 2,
}, {
text: 'Review Customer Feedback Report',
ownerId: [2],
startDate: new Date('2021-02-09T23:15:00.000Z'),
endDate: new Date('2021-02-10T01:30:00.000Z'),
priority: 1,
}, {
text: 'Customer Feedback Report Analysis',
ownerId: [3],
startDate: new Date('2021-02-10T16:30:00.000Z'),
endDate: new Date('2021-02-10T17:30:00.000Z'),
priority: 1,
}, {
text: 'Prepare Shipping Cost Analysis Report',
ownerId: [4],
startDate: new Date('2021-02-10T19:30:00.000Z'),
endDate: new Date('2021-02-10T20:30:00.000Z'),
priority: 1,
}, {
text: 'Provide Feedback on Shippers',
ownerId: [2],
startDate: new Date('2021-02-10T21:15:00.000Z'),
endDate: new Date('2021-02-10T23:00:00.000Z'),
priority: 2,
}, {
text: 'Select Preferred Shipper',
ownerId: [1],
startDate: new Date('2021-02-11T00:30:00.000Z'),
endDate: new Date('2021-02-11T03:00:00.000Z'),
priority: 1,
}, {
text: 'Complete Shipper Selection Form',
ownerId: [2],
startDate: new Date('2021-02-11T15:30:00.000Z'),
endDate: new Date('2021-02-11T17:00:00.000Z'),
priority: 2,
}, {
text: 'Upgrade Server Hardware',
ownerId: [4],
startDate: new Date('2021-02-11T19:00:00.000Z'),
endDate: new Date('2021-02-11T21:15:00.000Z'),
priority: 1,
}, {
text: 'Upgrade Personal Computers',
ownerId: [3],
startDate: new Date('2021-02-11T21:45:00.000Z'),
endDate: new Date('2021-02-11T23:30:00.000Z'),
priority: 1,
}, {
text: 'Upgrade Apps to Windows RT or stay with WinForms',
ownerId: [1],
startDate: new Date('2021-02-12T17:30:00.000Z'),
endDate: new Date('2021-02-12T20:00:00.000Z'),
priority: 1,
}, {
text: 'Estimate Time Required to Touch-Enable Apps',
ownerId: [1],
startDate: new Date('2021-02-12T21:45:00.000Z'),
endDate: new Date('2021-02-12T23:30:00.000Z'),
priority: 1,
}, {
text: 'Report on Tranistion to Touch-Based Apps',
ownerId: [2],
startDate: new Date('2021-02-13T01:30:00.000Z'),
endDate: new Date('2021-02-13T02:00:00.000Z'),
priority: 1,
}, {
text: 'Submit New Website Design',
ownerId: [2],
startDate: new Date('2021-02-15T15:00:00.000Z'),
endDate: new Date('2021-02-15T17:00:00.000Z'),
priority: 2,
}, {
text: 'Create Icons for Website',
ownerId: [4],
startDate: new Date('2021-02-15T18:30:00.000Z'),
endDate: new Date('2021-02-15T20:15:00.000Z'),
priority: 1,
}, {
text: 'Create New Product Pages',
ownerId: [1],
startDate: new Date('2021-02-16T16:45:00.000Z'),
endDate: new Date('2021-02-16T18:45:00.000Z'),
priority: 2,
}, {
text: 'Approve Website Launch',
ownerId: [3],
startDate: new Date('2021-02-16T19:00:00.000Z'),
endDate: new Date('2021-02-16T22:15:00.000Z'),
priority: 1,
}, {
text: 'Update Customer Shipping Profiles',
ownerId: [3],
startDate: new Date('2021-02-17T16:30:00.000Z'),
endDate: new Date('2021-02-17T18:00:00.000Z'),
priority: 1,
}, {
text: 'Create New Shipping Return Labels',
ownerId: [4],
startDate: new Date('2021-02-17T19:45:00.000Z'),
endDate: new Date('2021-02-17T21:00:00.000Z'),
priority: 1,
}, {
text: 'Get Design for Shipping Return Labels',
ownerId: [3],
startDate: new Date('2021-02-17T22:00:00.000Z'),
endDate: new Date('2021-02-17T23:30:00.000Z'),
priority: 1,
}, {
text: 'PSD needed for Shipping Return Labels',
ownerId: [4],
startDate: new Date('2021-02-18T15:30:00.000Z'),
endDate: new Date('2021-02-18T16:15:00.000Z'),
priority: 2,
}, {
text: 'Contact ISP and Discuss Payment Options',
ownerId: [1],
startDate: new Date('2021-02-18T18:30:00.000Z'),
endDate: new Date('2021-02-18T23:00:00.000Z'),
priority: 2,
}, {
text: 'Prepare Year-End Support Summary Report',
ownerId: [2],
startDate: new Date('2021-02-19T00:00:00.000Z'),
endDate: new Date('2021-02-19T03:00:00.000Z'),
priority: 1,
}, {
text: 'Review New Training Material',
ownerId: [3],
startDate: new Date('2021-02-19T15:00:00.000Z'),
endDate: new Date('2021-02-19T16:15:00.000Z'),
priority: 2,
}, {
text: 'Distribute Training Material to Support Staff',
ownerId: [2],
startDate: new Date('2021-02-19T19:45:00.000Z'),
endDate: new Date('2021-02-19T21:00:00.000Z'),
priority: 1,
}, {
text: 'Training Material Distribution Schedule',
ownerId: [2],
startDate: new Date('2021-02-19T21:15:00.000Z'),
endDate: new Date('2021-02-19T23:15:00.000Z'),
priority: 1,
}, {
text: 'Approval on Converting to New HDMI Specification',
ownerId: [4],
startDate: new Date('2021-02-22T16:30:00.000Z'),
endDate: new Date('2021-02-22T17:15:00.000Z'),
priority: 2,
}, {
text: 'Create New Spike for Automation Server',
ownerId: [3],
startDate: new Date('2021-02-22T17:00:00.000Z'),
endDate: new Date('2021-02-22T19:30:00.000Z'),
priority: 2,
}, {
text: 'Code Review - New Automation Server',
ownerId: [1],
startDate: new Date('2021-02-22T20:00:00.000Z'),
endDate: new Date('2021-02-22T22:00:00.000Z'),
priority: 1,
}, {
text: 'Confirm Availability for Sales Meeting',
ownerId: [1],
startDate: new Date('2021-02-23T17:15:00.000Z'),
endDate: new Date('2021-02-23T22:15:00.000Z'),
priority: 2,
}, {
text: 'Reschedule Sales Team Meeting',
ownerId: [2],
startDate: new Date('2021-02-23T23:15:00.000Z'),
endDate: new Date('2021-02-24T01:00:00.000Z'),
priority: 2,
}, {
text: 'Send 2 Remotes for Giveaways',
ownerId: [3],
startDate: new Date('2021-02-24T16:30:00.000Z'),
endDate: new Date('2021-02-24T18:45:00.000Z'),
priority: 1,
}, {
text: 'Discuss Product Giveaways with Management',
ownerId: [1],
startDate: new Date('2021-02-24T19:15:00.000Z'),
endDate: new Date('2021-02-24T23:45:00.000Z'),
priority: 2,
}, {
text: 'Replace Desktops on the 3rd Floor',
ownerId: [2],
startDate: new Date('2021-02-25T16:30:00.000Z'),
endDate: new Date('2021-02-25T17:45:00.000Z'),
priority: 1,
}, {
text: 'Update Database with New Leads',
ownerId: [3],
startDate: new Date('2021-02-25T19:00:00.000Z'),
endDate: new Date('2021-02-25T21:15:00.000Z'),
priority: 2,
}, {
text: 'Mail New Leads for Follow Up',
ownerId: [1],
startDate: new Date('2021-02-25T21:45:00.000Z'),
endDate: new Date('2021-02-25T22:30:00.000Z'),
priority: 2,
}, {
text: 'Send Territory Sales Breakdown',
ownerId: [2],
startDate: new Date('2021-02-26T01:00:00.000Z'),
endDate: new Date('2021-02-26T03:00:00.000Z'),
priority: 1,
}, {
text: 'Territory Sales Breakdown Report',
ownerId: [1],
startDate: new Date('2021-02-26T15:45:00.000Z'),
endDate: new Date('2021-02-26T16:45:00.000Z'),
priority: 1,
}, {
text: 'Report on the State of Engineering Dept',
ownerId: [3],
startDate: new Date('2021-02-26T21:45:00.000Z'),
endDate: new Date('2021-02-26T22:30:00.000Z'),
priority: 2,
}, {
text: 'Staff Productivity Report',
ownerId: [4],
startDate: new Date('2021-02-26T23:15:00.000Z'),
endDate: new Date('2021-02-27T02:30:00.000Z'),
priority: 2,
}];
This demo allows you to explore the capabilities of our Timeline view:
- You can switch between Timeline view types using the View Switcher toolbar item.
- You can enable our "Snap to Grid" option for all appointments or short appointments only (shorter than two cells in duration). For additional information, see snapToCellsMode.
Note how the DevExtreme JavaScript Scheduler groups appointments by resource to separate low and high priority tasks. For additional information, refer to the following technical demo: JavaScript Scheduler - Grouping by Resources.

Backend API
<dx-scheduler
timeZone="America/Los_Angeles"
[dataSource]="appointmentsData"
[views]="['timelineDay', 'timelineWeek', 'timelineWorkWeek', 'timelineMonth']"
currentView="timelineMonth"
[firstDayOfWeek]="0"
[startDayHour]="8"
[endDayHour]="20"
[cellDuration]="60"
[groups]="['priority']"
[currentDate]="currentDate"
[height]="580"
[snapToCellsMode]="snapToCellsMode"
>
<dxi-scheduler-resource
fieldExpr="ownerId"
[allowMultiple]="true"
[dataSource]="resourcesData"
label="Owner"
[useColorAsDefault]="true"
icon="user"
></dxi-scheduler-resource>
<dxi-scheduler-resource
fieldExpr="priority"
[allowMultiple]="false"
[dataSource]="prioritiesData"
label="Priority"
icon="tags"
></dxi-scheduler-resource>
</dx-scheduler>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Snap to Grid:</span>
<dx-select-box
[items]="snapToCellsModeItems"
[value]="snapToCellsMode"
(onValueChanged)="onSnapToCellsModeChanged($event)"
></dx-select-box>
</div>
</div>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxSchedulerModule, DxSelectBoxModule } from 'devextreme-angular';
import type { DxSchedulerTypes } from 'devextreme-angular/ui/scheduler';
import type { DxSelectBoxTypes } from 'devextreme-angular/ui/select-box';
import {
Priority, Resource, Appointment, Service,
} from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
imports: [
DxSchedulerModule,
DxSelectBoxModule,
],
})
export class AppComponent {
appointmentsData: Appointment[];
resourcesData: Resource[];
prioritiesData: Priority[];
currentDate: Date = new Date(2021, 1, 2);
snapToCellsMode: DxSchedulerTypes.SnapToCellsMode = 'always';
snapToCellsModeItems: DxSchedulerTypes.SnapToCellsMode[] = ['auto', 'always', 'never'];
constructor(service: Service) {
this.appointmentsData = service.getAppointments();
this.resourcesData = service.getResources();
this.prioritiesData = service.getPriorities();
}
onSnapToCellsModeChanged(e: DxSelectBoxTypes.ValueChangedEvent): void {
this.snapToCellsMode = e.value;
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep .dx-scheduler-timeline-day .dx-scheduler-cell-sizes-horizontal,
::ng-deep .dx-scheduler-timeline-week .dx-scheduler-cell-sizes-horizontal,
::ng-deep .dx-scheduler-timeline-work-week .dx-scheduler-cell-sizes-horizontal {
width: 100px;
}
::ng-deep .dx-scheduler-appointment-content {
color: white;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
display: flex;
align-items: center;
gap: 10px;
}
import { Injectable } from '@angular/core';
export class Priority {
text: string;
id: number;
color: string;
}
export class Resource {
text: string;
id: number;
color: string;
}
export class Appointment {
text: string;
ownerId: number[];
priority: number;
startDate: Date;
endDate: Date;
}
const prioritiesData: Priority[] = [
{
text: 'Low Priority',
id: 1,
color: '#1564C0',
}, {
text: 'High Priority',
id: 2,
color: '#DD2C00',
},
];
const resourcesData: Resource[] = [
{
text: 'Samantha Bright',
id: 1,
color: '#C2185B',
}, {
text: 'John Heart',
id: 2,
color: '#2E7D32',
}, {
text: 'Todd Hoffman',
id: 3,
color: '#1564C0',
}, {
text: 'Sandra Johnson',
id: 4,
color: '#DD2C00',
},
];
const appointments: Appointment[] = [{
text: 'Google AdWords Strategy',
ownerId: [2],
startDate: new Date('2021-02-01T16:00:00.000Z'),
endDate: new Date('2021-02-01T17:30:00.000Z'),
priority: 1,
}, {
text: 'New Brochures',
ownerId: [1],
startDate: new Date('2021-02-01T18:30:00.000Z'),
endDate: new Date('2021-02-01T21:15:00.000Z'),
priority: 2,
}, {
text: 'Brochure Design Review',
ownerId: [4],
startDate: new Date('2021-02-01T20:15:00.000Z'),
endDate: new Date('2021-02-01T23:15:00.000Z'),
priority: 1,
}, {
text: 'Website Re-Design Plan',
ownerId: [3],
startDate: new Date('2021-02-01T23:45:00.000Z'),
endDate: new Date('2021-02-02T18:15:00.000Z'),
priority: 2,
}, {
text: 'Rollout of New Website and Marketing Brochures',
ownerId: [1],
startDate: new Date('2021-02-02T15:15:00.000Z'),
endDate: new Date('2021-02-02T17:45:00.000Z'),
priority: 2,
}, {
text: 'Update Sales Strategy Documents',
ownerId: [2],
startDate: new Date('2021-02-02T19:00:00.000Z'),
endDate: new Date('2021-02-02T20:45:00.000Z'),
priority: 1,
}, {
text: 'Non-Compete Agreements',
ownerId: [4],
startDate: new Date('2021-02-03T16:15:00.000Z'),
endDate: new Date('2021-02-03T17:00:00.000Z'),
priority: 1,
}, {
text: 'Approve Hiring of John Jeffers',
ownerId: [2],
startDate: new Date('2021-02-03T17:00:00.000Z'),
endDate: new Date('2021-02-03T18:15:00.000Z'),
priority: 2,
}, {
text: 'Update NDA Agreement',
ownerId: [1],
startDate: new Date('2021-02-03T18:45:00.000Z'),
endDate: new Date('2021-02-03T20:45:00.000Z'),
priority: 2,
}, {
text: 'Update Employee Files with New NDA',
ownerId: [2],
startDate: new Date('2021-02-03T21:00:00.000Z'),
endDate: new Date('2021-02-03T23:45:00.000Z'),
priority: 1,
}, {
text: 'Submit Questions Regarding New NDA',
ownerId: [1],
startDate: new Date('2021-02-05T01:00:00.000Z'),
endDate: new Date('2021-02-04T16:30:00.000Z'),
priority: 1,
}, {
text: 'Submit Signed NDA',
ownerId: [2],
startDate: new Date('2021-02-04T19:45:00.000Z'),
endDate: new Date('2021-02-04T21:00:00.000Z'),
priority: 1,
}, {
text: 'Review Revenue Projections',
ownerId: [3],
startDate: new Date('2021-02-05T00:15:00.000Z'),
endDate: new Date('2021-02-04T15:00:00.000Z'),
priority: 2,
}, {
text: 'Comment on Revenue Projections',
ownerId: [2],
startDate: new Date('2021-02-05T16:15:00.000Z'),
endDate: new Date('2021-02-05T18:15:00.000Z'),
priority: 1,
}, {
text: 'Provide New Health Insurance Docs',
ownerId: [3],
startDate: new Date('2021-02-05T19:45:00.000Z'),
endDate: new Date('2021-02-05T21:15:00.000Z'),
priority: 2,
}, {
text: 'Review Changes to Health Insurance Coverage',
ownerId: [2],
startDate: new Date('2021-02-05T21:15:00.000Z'),
endDate: new Date('2021-02-05T22:30:00.000Z'),
priority: 1,
}, {
text: 'Review Training Course for any Omissions',
ownerId: [2],
startDate: new Date('2021-02-08T21:00:00.000Z'),
endDate: new Date('2021-02-09T19:00:00.000Z'),
priority: 2,
}, {
text: 'Recall Rebate Form',
ownerId: [1],
startDate: new Date('2021-02-08T19:45:00.000Z'),
endDate: new Date('2021-02-08T20:15:00.000Z'),
priority: 1,
}, {
text: 'Create Report on Customer Feedback',
ownerId: [4],
startDate: new Date('2021-02-09T22:15:00.000Z'),
endDate: new Date('2021-02-10T00:30:00.000Z'),
priority: 2,
}, {
text: 'Review Customer Feedback Report',
ownerId: [2],
startDate: new Date('2021-02-09T23:15:00.000Z'),
endDate: new Date('2021-02-10T01:30:00.000Z'),
priority: 1,
}, {
text: 'Customer Feedback Report Analysis',
ownerId: [3],
startDate: new Date('2021-02-10T16:30:00.000Z'),
endDate: new Date('2021-02-10T17:30:00.000Z'),
priority: 1,
}, {
text: 'Prepare Shipping Cost Analysis Report',
ownerId: [4],
startDate: new Date('2021-02-10T19:30:00.000Z'),
endDate: new Date('2021-02-10T20:30:00.000Z'),
priority: 1,
}, {
text: 'Provide Feedback on Shippers',
ownerId: [2],
startDate: new Date('2021-02-10T21:15:00.000Z'),
endDate: new Date('2021-02-10T23:00:00.000Z'),
priority: 2,
}, {
text: 'Select Preferred Shipper',
ownerId: [1],
startDate: new Date('2021-02-11T00:30:00.000Z'),
endDate: new Date('2021-02-11T03:00:00.000Z'),
priority: 1,
}, {
text: 'Complete Shipper Selection Form',
ownerId: [2],
startDate: new Date('2021-02-11T15:30:00.000Z'),
endDate: new Date('2021-02-11T17:00:00.000Z'),
priority: 2,
}, {
text: 'Upgrade Server Hardware',
ownerId: [4],
startDate: new Date('2021-02-11T19:00:00.000Z'),
endDate: new Date('2021-02-11T21:15:00.000Z'),
priority: 1,
}, {
text: 'Upgrade Personal Computers',
ownerId: [3],
startDate: new Date('2021-02-11T21:45:00.000Z'),
endDate: new Date('2021-02-11T23:30:00.000Z'),
priority: 1,
}, {
text: 'Upgrade Apps to Windows RT or stay with WinForms',
ownerId: [1],
startDate: new Date('2021-02-12T17:30:00.000Z'),
endDate: new Date('2021-02-12T20:00:00.000Z'),
priority: 1,
}, {
text: 'Estimate Time Required to Touch-Enable Apps',
ownerId: [1],
startDate: new Date('2021-02-12T21:45:00.000Z'),
endDate: new Date('2021-02-12T23:30:00.000Z'),
priority: 1,
}, {
text: 'Report on Tranistion to Touch-Based Apps',
ownerId: [2],
startDate: new Date('2021-02-13T01:30:00.000Z'),
endDate: new Date('2021-02-13T02:00:00.000Z'),
priority: 1,
}, {
text: 'Submit New Website Design',
ownerId: [2],
startDate: new Date('2021-02-15T15:00:00.000Z'),
endDate: new Date('2021-02-15T17:00:00.000Z'),
priority: 2,
}, {
text: 'Create Icons for Website',
ownerId: [4],
startDate: new Date('2021-02-15T18:30:00.000Z'),
endDate: new Date('2021-02-15T20:15:00.000Z'),
priority: 1,
}, {
text: 'Create New Product Pages',
ownerId: [1],
startDate: new Date('2021-02-16T16:45:00.000Z'),
endDate: new Date('2021-02-16T18:45:00.000Z'),
priority: 2,
}, {
text: 'Approve Website Launch',
ownerId: [3],
startDate: new Date('2021-02-16T19:00:00.000Z'),
endDate: new Date('2021-02-16T22:15:00.000Z'),
priority: 1,
}, {
text: 'Update Customer Shipping Profiles',
ownerId: [3],
startDate: new Date('2021-02-17T16:30:00.000Z'),
endDate: new Date('2021-02-17T18:00:00.000Z'),
priority: 1,
}, {
text: 'Create New Shipping Return Labels',
ownerId: [4],
startDate: new Date('2021-02-17T19:45:00.000Z'),
endDate: new Date('2021-02-17T21:00:00.000Z'),
priority: 1,
}, {
text: 'Get Design for Shipping Return Labels',
ownerId: [3],
startDate: new Date('2021-02-17T22:00:00.000Z'),
endDate: new Date('2021-02-17T23:30:00.000Z'),
priority: 1,
}, {
text: 'PSD needed for Shipping Return Labels',
ownerId: [4],
startDate: new Date('2021-02-18T15:30:00.000Z'),
endDate: new Date('2021-02-18T16:15:00.000Z'),
priority: 2,
}, {
text: 'Contact ISP and Discuss Payment Options',
ownerId: [1],
startDate: new Date('2021-02-18T18:30:00.000Z'),
endDate: new Date('2021-02-18T23:00:00.000Z'),
priority: 2,
}, {
text: 'Prepare Year-End Support Summary Report',
ownerId: [2],
startDate: new Date('2021-02-19T00:00:00.000Z'),
endDate: new Date('2021-02-19T03:00:00.000Z'),
priority: 1,
}, {
text: 'Review New Training Material',
ownerId: [3],
startDate: new Date('2021-02-19T15:00:00.000Z'),
endDate: new Date('2021-02-19T16:15:00.000Z'),
priority: 2,
}, {
text: 'Distribute Training Material to Support Staff',
ownerId: [2],
startDate: new Date('2021-02-19T19:45:00.000Z'),
endDate: new Date('2021-02-19T21:00:00.000Z'),
priority: 1,
}, {
text: 'Training Material Distribution Schedule',
ownerId: [2],
startDate: new Date('2021-02-19T21:15:00.000Z'),
endDate: new Date('2021-02-19T23:15:00.000Z'),
priority: 1,
}, {
text: 'Approval on Converting to New HDMI Specification',
ownerId: [4],
startDate: new Date('2021-02-22T16:30:00.000Z'),
endDate: new Date('2021-02-22T17:15:00.000Z'),
priority: 2,
}, {
text: 'Create New Spike for Automation Server',
ownerId: [3],
startDate: new Date('2021-02-22T17:00:00.000Z'),
endDate: new Date('2021-02-22T19:30:00.000Z'),
priority: 2,
}, {
text: 'Code Review - New Automation Server',
ownerId: [1],
startDate: new Date('2021-02-22T20:00:00.000Z'),
endDate: new Date('2021-02-22T22:00:00.000Z'),
priority: 1,
}, {
text: 'Confirm Availability for Sales Meeting',
ownerId: [1],
startDate: new Date('2021-02-23T17:15:00.000Z'),
endDate: new Date('2021-02-23T22:15:00.000Z'),
priority: 2,
}, {
text: 'Reschedule Sales Team Meeting',
ownerId: [2],
startDate: new Date('2021-02-23T23:15:00.000Z'),
endDate: new Date('2021-02-24T01:00:00.000Z'),
priority: 2,
}, {
text: 'Send 2 Remotes for Giveaways',
ownerId: [3],
startDate: new Date('2021-02-24T16:30:00.000Z'),
endDate: new Date('2021-02-24T18:45:00.000Z'),
priority: 1,
}, {
text: 'Discuss Product Giveaways with Management',
ownerId: [1],
startDate: new Date('2021-02-24T19:15:00.000Z'),
endDate: new Date('2021-02-24T23:45:00.000Z'),
priority: 2,
}, {
text: 'Replace Desktops on the 3rd Floor',
ownerId: [2],
startDate: new Date('2021-02-25T16:30:00.000Z'),
endDate: new Date('2021-02-25T17:45:00.000Z'),
priority: 1,
}, {
text: 'Update Database with New Leads',
ownerId: [3],
startDate: new Date('2021-02-25T19:00:00.000Z'),
endDate: new Date('2021-02-25T21:15:00.000Z'),
priority: 2,
}, {
text: 'Mail New Leads for Follow Up',
ownerId: [1],
startDate: new Date('2021-02-25T21:45:00.000Z'),
endDate: new Date('2021-02-25T22:30:00.000Z'),
priority: 2,
}, {
text: 'Send Territory Sales Breakdown',
ownerId: [2],
startDate: new Date('2021-02-26T01:00:00.000Z'),
endDate: new Date('2021-02-26T03:00:00.000Z'),
priority: 1,
}, {
text: 'Territory Sales Breakdown Report',
ownerId: [1],
startDate: new Date('2021-02-26T15:45:00.000Z'),
endDate: new Date('2021-02-26T16:45:00.000Z'),
priority: 1,
}, {
text: 'Report on the State of Engineering Dept',
ownerId: [3],
startDate: new Date('2021-02-26T21:45:00.000Z'),
endDate: new Date('2021-02-26T22:30:00.000Z'),
priority: 2,
}, {
text: 'Staff Productivity Report',
ownerId: [4],
startDate: new Date('2021-02-26T23:15:00.000Z'),
endDate: new Date('2021-02-27T02:30:00.000Z'),
priority: 2,
}];
@Injectable()
export class Service {
getAppointments() {
return appointments;
}
getPriorities() {
return prioritiesData;
}
getResources() {
return resourcesData;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.1.0"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>
This demo allows you to explore the capabilities of our Timeline view:
- You can switch between Timeline view types using the View Switcher toolbar item.
- You can enable our "Snap to Grid" option for all appointments or short appointments only (shorter than two cells in duration). For additional information, see snapToCellsMode.
Note how the DevExtreme Scheduler groups appointments by resource to separate low and high priority tasks. For additional information, refer to the following technical demo: Scheduler - Grouping by Resources.

Backend API
import React from 'react';
import Scheduler, { Resource, type SchedulerTypes } from 'devextreme-react/scheduler';
import { data, resourcesData, priorityData } from './data.ts';
const currentDate = new Date(2021, 1, 2);
const views: SchedulerTypes.ViewType[] = ['timelineDay', 'timelineWeek', 'timelineWorkWeek', 'timelineMonth'];
const groups = ['priority'];
const App = () => (
<Scheduler
timeZone="America/Los_Angeles"
dataSource={data}
views={views}
defaultCurrentView="timelineMonth"
defaultCurrentDate={currentDate}
height={580}
groups={groups}
cellDuration={60}
firstDayOfWeek={0}
startDayHour={8}
endDayHour={20}
>
<Resource
fieldExpr="ownerId"
allowMultiple={true}
dataSource={resourcesData}
label="Owner"
useColorAsDefault={true}
/>
<Resource
fieldExpr="priority"
allowMultiple={false}
dataSource={priorityData}
label="Priority"
/>
</Scheduler>
);
export default App;
import React from 'react';
import Scheduler, { Resource } from 'devextreme-react/scheduler';
import { data, resourcesData, priorityData } from './data.js';
const currentDate = new Date(2021, 1, 2);
const views = ['timelineDay', 'timelineWeek', 'timelineWorkWeek', 'timelineMonth'];
const groups = ['priority'];
const App = () => (
<Scheduler
timeZone="America/Los_Angeles"
dataSource={data}
views={views}
defaultCurrentView="timelineMonth"
defaultCurrentDate={currentDate}
height={580}
groups={groups}
cellDuration={60}
firstDayOfWeek={0}
startDayHour={8}
endDayHour={20}
>
<Resource
fieldExpr="ownerId"
allowMultiple={true}
dataSource={resourcesData}
label="Owner"
useColorAsDefault={true}
/>
<Resource
fieldExpr="priority"
allowMultiple={false}
dataSource={priorityData}
label="Priority"
/>
</Scheduler>
);
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
import { SchedulerTypes } from 'devextreme-react/scheduler';
type Appointment = SchedulerTypes.Appointment & { ownerId: number[], priority: number };
type Resource = {
text: string;
id: number;
color: string;
};
export const data: Appointment[] = [{
text: 'Google AdWords Strategy',
ownerId: [2],
startDate: new Date('2021-02-01T16:00:00.000Z'),
endDate: new Date('2021-02-01T17:30:00.000Z'),
priority: 1,
}, {
text: 'New Brochures',
ownerId: [1],
startDate: new Date('2021-02-01T18:30:00.000Z'),
endDate: new Date('2021-02-01T21:15:00.000Z'),
priority: 2,
}, {
text: 'Brochure Design Review',
ownerId: [4],
startDate: new Date('2021-02-01T20:15:00.000Z'),
endDate: new Date('2021-02-01T23:15:00.000Z'),
priority: 1,
}, {
text: 'Website Re-Design Plan',
ownerId: [3],
startDate: new Date('2021-02-01T23:45:00.000Z'),
endDate: new Date('2021-02-02T18:15:00.000Z'),
priority: 2,
}, {
text: 'Rollout of New Website and Marketing Brochures',
ownerId: [1],
startDate: new Date('2021-02-02T15:15:00.000Z'),
endDate: new Date('2021-02-02T17:45:00.000Z'),
priority: 2,
}, {
text: 'Update Sales Strategy Documents',
ownerId: [2],
startDate: new Date('2021-02-02T19:00:00.000Z'),
endDate: new Date('2021-02-02T20:45:00.000Z'),
priority: 1,
}, {
text: 'Non-Compete Agreements',
ownerId: [4],
startDate: new Date('2021-02-03T16:15:00.000Z'),
endDate: new Date('2021-02-03T17:00:00.000Z'),
priority: 1,
}, {
text: 'Approve Hiring of John Jeffers',
ownerId: [2],
startDate: new Date('2021-02-03T17:00:00.000Z'),
endDate: new Date('2021-02-03T18:15:00.000Z'),
priority: 2,
}, {
text: 'Update NDA Agreement',
ownerId: [1],
startDate: new Date('2021-02-03T18:45:00.000Z'),
endDate: new Date('2021-02-03T20:45:00.000Z'),
priority: 2,
}, {
text: 'Update Employee Files with New NDA',
ownerId: [2],
startDate: new Date('2021-02-03T21:00:00.000Z'),
endDate: new Date('2021-02-03T23:45:00.000Z'),
priority: 1,
}, {
text: 'Submit Questions Regarding New NDA',
ownerId: [1],
startDate: new Date('2021-02-05T01:00:00.000Z'),
endDate: new Date('2021-02-04T16:30:00.000Z'),
priority: 1,
}, {
text: 'Submit Signed NDA',
ownerId: [2],
startDate: new Date('2021-02-04T19:45:00.000Z'),
endDate: new Date('2021-02-04T21:00:00.000Z'),
priority: 1,
}, {
text: 'Review Revenue Projections',
ownerId: [3],
startDate: new Date('2021-02-05T00:15:00.000Z'),
endDate: new Date('2021-02-04T15:00:00.000Z'),
priority: 2,
}, {
text: 'Comment on Revenue Projections',
ownerId: [2],
startDate: new Date('2021-02-05T16:15:00.000Z'),
endDate: new Date('2021-02-05T18:15:00.000Z'),
priority: 1,
}, {
text: 'Provide New Health Insurance Docs',
ownerId: [3],
startDate: new Date('2021-02-05T19:45:00.000Z'),
endDate: new Date('2021-02-05T21:15:00.000Z'),
priority: 2,
}, {
text: 'Review Changes to Health Insurance Coverage',
ownerId: [2],
startDate: new Date('2021-02-05T21:15:00.000Z'),
endDate: new Date('2021-02-05T22:30:00.000Z'),
priority: 1,
}, {
text: 'Review Training Course for any Omissions',
ownerId: [2],
startDate: new Date('2021-02-08T21:00:00.000Z'),
endDate: new Date('2021-02-09T19:00:00.000Z'),
priority: 2,
}, {
text: 'Recall Rebate Form',
ownerId: [1],
startDate: new Date('2021-02-08T19:45:00.000Z'),
endDate: new Date('2021-02-08T20:15:00.000Z'),
priority: 1,
}, {
text: 'Create Report on Customer Feedback',
ownerId: [4],
startDate: new Date('2021-02-09T22:15:00.000Z'),
endDate: new Date('2021-02-10T00:30:00.000Z'),
priority: 2,
}, {
text: 'Review Customer Feedback Report',
ownerId: [2],
startDate: new Date('2021-02-09T23:15:00.000Z'),
endDate: new Date('2021-02-10T01:30:00.000Z'),
priority: 1,
}, {
text: 'Customer Feedback Report Analysis',
ownerId: [3],
startDate: new Date('2021-02-10T16:30:00.000Z'),
endDate: new Date('2021-02-10T17:30:00.000Z'),
priority: 1,
}, {
text: 'Prepare Shipping Cost Analysis Report',
ownerId: [4],
startDate: new Date('2021-02-10T19:30:00.000Z'),
endDate: new Date('2021-02-10T20:30:00.000Z'),
priority: 1,
}, {
text: 'Provide Feedback on Shippers',
ownerId: [2],
startDate: new Date('2021-02-10T21:15:00.000Z'),
endDate: new Date('2021-02-10T23:00:00.000Z'),
priority: 2,
}, {
text: 'Select Preferred Shipper',
ownerId: [1],
startDate: new Date('2021-02-11T00:30:00.000Z'),
endDate: new Date('2021-02-11T03:00:00.000Z'),
priority: 1,
}, {
text: 'Complete Shipper Selection Form',
ownerId: [2],
startDate: new Date('2021-02-11T15:30:00.000Z'),
endDate: new Date('2021-02-11T17:00:00.000Z'),
priority: 2,
}, {
text: 'Upgrade Server Hardware',
ownerId: [4],
startDate: new Date('2021-02-11T19:00:00.000Z'),
endDate: new Date('2021-02-11T21:15:00.000Z'),
priority: 1,
}, {
text: 'Upgrade Personal Computers',
ownerId: [3],
startDate: new Date('2021-02-11T21:45:00.000Z'),
endDate: new Date('2021-02-11T23:30:00.000Z'),
priority: 1,
}, {
text: 'Upgrade Apps to Windows RT or stay with WinForms',
ownerId: [1],
startDate: new Date('2021-02-12T17:30:00.000Z'),
endDate: new Date('2021-02-12T20:00:00.000Z'),
priority: 1,
}, {
text: 'Estimate Time Required to Touch-Enable Apps',
ownerId: [1],
startDate: new Date('2021-02-12T21:45:00.000Z'),
endDate: new Date('2021-02-12T23:30:00.000Z'),
priority: 1,
}, {
text: 'Report on Tranistion to Touch-Based Apps',
ownerId: [2],
startDate: new Date('2021-02-13T01:30:00.000Z'),
endDate: new Date('2021-02-13T02:00:00.000Z'),
priority: 1,
}, {
text: 'Submit New Website Design',
ownerId: [2],
startDate: new Date('2021-02-15T15:00:00.000Z'),
endDate: new Date('2021-02-15T17:00:00.000Z'),
priority: 2,
}, {
text: 'Create Icons for Website',
ownerId: [4],
startDate: new Date('2021-02-15T18:30:00.000Z'),
endDate: new Date('2021-02-15T20:15:00.000Z'),
priority: 1,
}, {
text: 'Create New Product Pages',
ownerId: [1],
startDate: new Date('2021-02-16T16:45:00.000Z'),
endDate: new Date('2021-02-16T18:45:00.000Z'),
priority: 2,
}, {
text: 'Approve Website Launch',
ownerId: [3],
startDate: new Date('2021-02-16T19:00:00.000Z'),
endDate: new Date('2021-02-16T22:15:00.000Z'),
priority: 1,
}, {
text: 'Update Customer Shipping Profiles',
ownerId: [3],
startDate: new Date('2021-02-17T16:30:00.000Z'),
endDate: new Date('2021-02-17T18:00:00.000Z'),
priority: 1,
}, {
text: 'Create New Shipping Return Labels',
ownerId: [4],
startDate: new Date('2021-02-17T19:45:00.000Z'),
endDate: new Date('2021-02-17T21:00:00.000Z'),
priority: 1,
}, {
text: 'Get Design for Shipping Return Labels',
ownerId: [3],
startDate: new Date('2021-02-17T22:00:00.000Z'),
endDate: new Date('2021-02-17T23:30:00.000Z'),
priority: 1,
}, {
text: 'PSD needed for Shipping Return Labels',
ownerId: [4],
startDate: new Date('2021-02-18T15:30:00.000Z'),
endDate: new Date('2021-02-18T16:15:00.000Z'),
priority: 2,
}, {
text: 'Contact ISP and Discuss Payment Options',
ownerId: [1],
startDate: new Date('2021-02-18T18:30:00.000Z'),
endDate: new Date('2021-02-18T23:00:00.000Z'),
priority: 2,
}, {
text: 'Prepare Year-End Support Summary Report',
ownerId: [2],
startDate: new Date('2021-02-19T00:00:00.000Z'),
endDate: new Date('2021-02-19T03:00:00.000Z'),
priority: 1,
}, {
text: 'Review New Training Material',
ownerId: [3],
startDate: new Date('2021-02-19T15:00:00.000Z'),
endDate: new Date('2021-02-19T16:15:00.000Z'),
priority: 2,
}, {
text: 'Distribute Training Material to Support Staff',
ownerId: [2],
startDate: new Date('2021-02-19T19:45:00.000Z'),
endDate: new Date('2021-02-19T21:00:00.000Z'),
priority: 1,
}, {
text: 'Training Material Distribution Schedule',
ownerId: [2],
startDate: new Date('2021-02-19T21:15:00.000Z'),
endDate: new Date('2021-02-19T23:15:00.000Z'),
priority: 1,
}, {
text: 'Approval on Converting to New HDMI Specification',
ownerId: [4],
startDate: new Date('2021-02-22T16:30:00.000Z'),
endDate: new Date('2021-02-22T17:15:00.000Z'),
priority: 2,
}, {
text: 'Create New Spike for Automation Server',
ownerId: [3],
startDate: new Date('2021-02-22T17:00:00.000Z'),
endDate: new Date('2021-02-22T19:30:00.000Z'),
priority: 2,
}, {
text: 'Code Review - New Automation Server',
ownerId: [1],
startDate: new Date('2021-02-22T20:00:00.000Z'),
endDate: new Date('2021-02-22T22:00:00.000Z'),
priority: 1,
}, {
text: 'Confirm Availability for Sales Meeting',
ownerId: [1],
startDate: new Date('2021-02-23T17:15:00.000Z'),
endDate: new Date('2021-02-23T22:15:00.000Z'),
priority: 2,
}, {
text: 'Reschedule Sales Team Meeting',
ownerId: [2],
startDate: new Date('2021-02-23T23:15:00.000Z'),
endDate: new Date('2021-02-24T01:00:00.000Z'),
priority: 2,
}, {
text: 'Send 2 Remotes for Giveaways',
ownerId: [3],
startDate: new Date('2021-02-24T16:30:00.000Z'),
endDate: new Date('2021-02-24T18:45:00.000Z'),
priority: 1,
}, {
text: 'Discuss Product Giveaways with Management',
ownerId: [1],
startDate: new Date('2021-02-24T19:15:00.000Z'),
endDate: new Date('2021-02-24T23:45:00.000Z'),
priority: 2,
}, {
text: 'Replace Desktops on the 3rd Floor',
ownerId: [2],
startDate: new Date('2021-02-25T16:30:00.000Z'),
endDate: new Date('2021-02-25T17:45:00.000Z'),
priority: 1,
}, {
text: 'Update Database with New Leads',
ownerId: [3],
startDate: new Date('2021-02-25T19:00:00.000Z'),
endDate: new Date('2021-02-25T21:15:00.000Z'),
priority: 2,
}, {
text: 'Mail New Leads for Follow Up',
ownerId: [1],
startDate: new Date('2021-02-25T21:45:00.000Z'),
endDate: new Date('2021-02-25T22:30:00.000Z'),
priority: 2,
}, {
text: 'Send Territory Sales Breakdown',
ownerId: [2],
startDate: new Date('2021-02-26T01:00:00.000Z'),
endDate: new Date('2021-02-26T03:00:00.000Z'),
priority: 1,
}, {
text: 'Territory Sales Breakdown Report',
ownerId: [1],
startDate: new Date('2021-02-26T15:45:00.000Z'),
endDate: new Date('2021-02-26T16:45:00.000Z'),
priority: 1,
}, {
text: 'Report on the State of Engineering Dept',
ownerId: [3],
startDate: new Date('2021-02-26T21:45:00.000Z'),
endDate: new Date('2021-02-26T22:30:00.000Z'),
priority: 2,
}, {
text: 'Staff Productivity Report',
ownerId: [4],
startDate: new Date('2021-02-26T23:15:00.000Z'),
endDate: new Date('2021-02-27T02:30:00.000Z'),
priority: 2,
}];
export const resourcesData: Resource[] = [
{
text: 'Samantha Bright',
id: 1,
color: '#cb6bb2',
}, {
text: 'John Heart',
id: 2,
color: '#56ca85',
}, {
text: 'Todd Hoffman',
id: 3,
color: '#1e90ff',
}, {
text: 'Sandra Johnson',
id: 4,
color: '#ff9747',
},
];
export const priorityData: Resource[] = [
{
text: 'Low Priority',
id: 1,
color: '#1e90ff',
}, {
text: 'High Priority',
id: 2,
color: '#ff9747',
},
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
defaultExtension: 'js',
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@25.1.4/cjs',
'devextreme-react': 'npm:devextreme-react@25.1.4/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.19/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.62/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const data = [
{
text: 'Google AdWords Strategy',
ownerId: [2],
startDate: new Date('2021-02-01T16:00:00.000Z'),
endDate: new Date('2021-02-01T17:30:00.000Z'),
priority: 1,
},
{
text: 'New Brochures',
ownerId: [1],
startDate: new Date('2021-02-01T18:30:00.000Z'),
endDate: new Date('2021-02-01T21:15:00.000Z'),
priority: 2,
},
{
text: 'Brochure Design Review',
ownerId: [4],
startDate: new Date('2021-02-01T20:15:00.000Z'),
endDate: new Date('2021-02-01T23:15:00.000Z'),
priority: 1,
},
{
text: 'Website Re-Design Plan',
ownerId: [3],
startDate: new Date('2021-02-01T23:45:00.000Z'),
endDate: new Date('2021-02-02T18:15:00.000Z'),
priority: 2,
},
{
text: 'Rollout of New Website and Marketing Brochures',
ownerId: [1],
startDate: new Date('2021-02-02T15:15:00.000Z'),
endDate: new Date('2021-02-02T17:45:00.000Z'),
priority: 2,
},
{
text: 'Update Sales Strategy Documents',
ownerId: [2],
startDate: new Date('2021-02-02T19:00:00.000Z'),
endDate: new Date('2021-02-02T20:45:00.000Z'),
priority: 1,
},
{
text: 'Non-Compete Agreements',
ownerId: [4],
startDate: new Date('2021-02-03T16:15:00.000Z'),
endDate: new Date('2021-02-03T17:00:00.000Z'),
priority: 1,
},
{
text: 'Approve Hiring of John Jeffers',
ownerId: [2],
startDate: new Date('2021-02-03T17:00:00.000Z'),
endDate: new Date('2021-02-03T18:15:00.000Z'),
priority: 2,
},
{
text: 'Update NDA Agreement',
ownerId: [1],
startDate: new Date('2021-02-03T18:45:00.000Z'),
endDate: new Date('2021-02-03T20:45:00.000Z'),
priority: 2,
},
{
text: 'Update Employee Files with New NDA',
ownerId: [2],
startDate: new Date('2021-02-03T21:00:00.000Z'),
endDate: new Date('2021-02-03T23:45:00.000Z'),
priority: 1,
},
{
text: 'Submit Questions Regarding New NDA',
ownerId: [1],
startDate: new Date('2021-02-05T01:00:00.000Z'),
endDate: new Date('2021-02-04T16:30:00.000Z'),
priority: 1,
},
{
text: 'Submit Signed NDA',
ownerId: [2],
startDate: new Date('2021-02-04T19:45:00.000Z'),
endDate: new Date('2021-02-04T21:00:00.000Z'),
priority: 1,
},
{
text: 'Review Revenue Projections',
ownerId: [3],
startDate: new Date('2021-02-05T00:15:00.000Z'),
endDate: new Date('2021-02-04T15:00:00.000Z'),
priority: 2,
},
{
text: 'Comment on Revenue Projections',
ownerId: [2],
startDate: new Date('2021-02-05T16:15:00.000Z'),
endDate: new Date('2021-02-05T18:15:00.000Z'),
priority: 1,
},
{
text: 'Provide New Health Insurance Docs',
ownerId: [3],
startDate: new Date('2021-02-05T19:45:00.000Z'),
endDate: new Date('2021-02-05T21:15:00.000Z'),
priority: 2,
},
{
text: 'Review Changes to Health Insurance Coverage',
ownerId: [2],
startDate: new Date('2021-02-05T21:15:00.000Z'),
endDate: new Date('2021-02-05T22:30:00.000Z'),
priority: 1,
},
{
text: 'Review Training Course for any Omissions',
ownerId: [2],
startDate: new Date('2021-02-08T21:00:00.000Z'),
endDate: new Date('2021-02-09T19:00:00.000Z'),
priority: 2,
},
{
text: 'Recall Rebate Form',
ownerId: [1],
startDate: new Date('2021-02-08T19:45:00.000Z'),
endDate: new Date('2021-02-08T20:15:00.000Z'),
priority: 1,
},
{
text: 'Create Report on Customer Feedback',
ownerId: [4],
startDate: new Date('2021-02-09T22:15:00.000Z'),
endDate: new Date('2021-02-10T00:30:00.000Z'),
priority: 2,
},
{
text: 'Review Customer Feedback Report',
ownerId: [2],
startDate: new Date('2021-02-09T23:15:00.000Z'),
endDate: new Date('2021-02-10T01:30:00.000Z'),
priority: 1,
},
{
text: 'Customer Feedback Report Analysis',
ownerId: [3],
startDate: new Date('2021-02-10T16:30:00.000Z'),
endDate: new Date('2021-02-10T17:30:00.000Z'),
priority: 1,
},
{
text: 'Prepare Shipping Cost Analysis Report',
ownerId: [4],
startDate: new Date('2021-02-10T19:30:00.000Z'),
endDate: new Date('2021-02-10T20:30:00.000Z'),
priority: 1,
},
{
text: 'Provide Feedback on Shippers',
ownerId: [2],
startDate: new Date('2021-02-10T21:15:00.000Z'),
endDate: new Date('2021-02-10T23:00:00.000Z'),
priority: 2,
},
{
text: 'Select Preferred Shipper',
ownerId: [1],
startDate: new Date('2021-02-11T00:30:00.000Z'),
endDate: new Date('2021-02-11T03:00:00.000Z'),
priority: 1,
},
{
text: 'Complete Shipper Selection Form',
ownerId: [2],
startDate: new Date('2021-02-11T15:30:00.000Z'),
endDate: new Date('2021-02-11T17:00:00.000Z'),
priority: 2,
},
{
text: 'Upgrade Server Hardware',
ownerId: [4],
startDate: new Date('2021-02-11T19:00:00.000Z'),
endDate: new Date('2021-02-11T21:15:00.000Z'),
priority: 1,
},
{
text: 'Upgrade Personal Computers',
ownerId: [3],
startDate: new Date('2021-02-11T21:45:00.000Z'),
endDate: new Date('2021-02-11T23:30:00.000Z'),
priority: 1,
},
{
text: 'Upgrade Apps to Windows RT or stay with WinForms',
ownerId: [1],
startDate: new Date('2021-02-12T17:30:00.000Z'),
endDate: new Date('2021-02-12T20:00:00.000Z'),
priority: 1,
},
{
text: 'Estimate Time Required to Touch-Enable Apps',
ownerId: [1],
startDate: new Date('2021-02-12T21:45:00.000Z'),
endDate: new Date('2021-02-12T23:30:00.000Z'),
priority: 1,
},
{
text: 'Report on Tranistion to Touch-Based Apps',
ownerId: [2],
startDate: new Date('2021-02-13T01:30:00.000Z'),
endDate: new Date('2021-02-13T02:00:00.000Z'),
priority: 1,
},
{
text: 'Submit New Website Design',
ownerId: [2],
startDate: new Date('2021-02-15T15:00:00.000Z'),
endDate: new Date('2021-02-15T17:00:00.000Z'),
priority: 2,
},
{
text: 'Create Icons for Website',
ownerId: [4],
startDate: new Date('2021-02-15T18:30:00.000Z'),
endDate: new Date('2021-02-15T20:15:00.000Z'),
priority: 1,
},
{
text: 'Create New Product Pages',
ownerId: [1],
startDate: new Date('2021-02-16T16:45:00.000Z'),
endDate: new Date('2021-02-16T18:45:00.000Z'),
priority: 2,
},
{
text: 'Approve Website Launch',
ownerId: [3],
startDate: new Date('2021-02-16T19:00:00.000Z'),
endDate: new Date('2021-02-16T22:15:00.000Z'),
priority: 1,
},
{
text: 'Update Customer Shipping Profiles',
ownerId: [3],
startDate: new Date('2021-02-17T16:30:00.000Z'),
endDate: new Date('2021-02-17T18:00:00.000Z'),
priority: 1,
},
{
text: 'Create New Shipping Return Labels',
ownerId: [4],
startDate: new Date('2021-02-17T19:45:00.000Z'),
endDate: new Date('2021-02-17T21:00:00.000Z'),
priority: 1,
},
{
text: 'Get Design for Shipping Return Labels',
ownerId: [3],
startDate: new Date('2021-02-17T22:00:00.000Z'),
endDate: new Date('2021-02-17T23:30:00.000Z'),
priority: 1,
},
{
text: 'PSD needed for Shipping Return Labels',
ownerId: [4],
startDate: new Date('2021-02-18T15:30:00.000Z'),
endDate: new Date('2021-02-18T16:15:00.000Z'),
priority: 2,
},
{
text: 'Contact ISP and Discuss Payment Options',
ownerId: [1],
startDate: new Date('2021-02-18T18:30:00.000Z'),
endDate: new Date('2021-02-18T23:00:00.000Z'),
priority: 2,
},
{
text: 'Prepare Year-End Support Summary Report',
ownerId: [2],
startDate: new Date('2021-02-19T00:00:00.000Z'),
endDate: new Date('2021-02-19T03:00:00.000Z'),
priority: 1,
},
{
text: 'Review New Training Material',
ownerId: [3],
startDate: new Date('2021-02-19T15:00:00.000Z'),
endDate: new Date('2021-02-19T16:15:00.000Z'),
priority: 2,
},
{
text: 'Distribute Training Material to Support Staff',
ownerId: [2],
startDate: new Date('2021-02-19T19:45:00.000Z'),
endDate: new Date('2021-02-19T21:00:00.000Z'),
priority: 1,
},
{
text: 'Training Material Distribution Schedule',
ownerId: [2],
startDate: new Date('2021-02-19T21:15:00.000Z'),
endDate: new Date('2021-02-19T23:15:00.000Z'),
priority: 1,
},
{
text: 'Approval on Converting to New HDMI Specification',
ownerId: [4],
startDate: new Date('2021-02-22T16:30:00.000Z'),
endDate: new Date('2021-02-22T17:15:00.000Z'),
priority: 2,
},
{
text: 'Create New Spike for Automation Server',
ownerId: [3],
startDate: new Date('2021-02-22T17:00:00.000Z'),
endDate: new Date('2021-02-22T19:30:00.000Z'),
priority: 2,
},
{
text: 'Code Review - New Automation Server',
ownerId: [1],
startDate: new Date('2021-02-22T20:00:00.000Z'),
endDate: new Date('2021-02-22T22:00:00.000Z'),
priority: 1,
},
{
text: 'Confirm Availability for Sales Meeting',
ownerId: [1],
startDate: new Date('2021-02-23T17:15:00.000Z'),
endDate: new Date('2021-02-23T22:15:00.000Z'),
priority: 2,
},
{
text: 'Reschedule Sales Team Meeting',
ownerId: [2],
startDate: new Date('2021-02-23T23:15:00.000Z'),
endDate: new Date('2021-02-24T01:00:00.000Z'),
priority: 2,
},
{
text: 'Send 2 Remotes for Giveaways',
ownerId: [3],
startDate: new Date('2021-02-24T16:30:00.000Z'),
endDate: new Date('2021-02-24T18:45:00.000Z'),
priority: 1,
},
{
text: 'Discuss Product Giveaways with Management',
ownerId: [1],
startDate: new Date('2021-02-24T19:15:00.000Z'),
endDate: new Date('2021-02-24T23:45:00.000Z'),
priority: 2,
},
{
text: 'Replace Desktops on the 3rd Floor',
ownerId: [2],
startDate: new Date('2021-02-25T16:30:00.000Z'),
endDate: new Date('2021-02-25T17:45:00.000Z'),
priority: 1,
},
{
text: 'Update Database with New Leads',
ownerId: [3],
startDate: new Date('2021-02-25T19:00:00.000Z'),
endDate: new Date('2021-02-25T21:15:00.000Z'),
priority: 2,
},
{
text: 'Mail New Leads for Follow Up',
ownerId: [1],
startDate: new Date('2021-02-25T21:45:00.000Z'),
endDate: new Date('2021-02-25T22:30:00.000Z'),
priority: 2,
},
{
text: 'Send Territory Sales Breakdown',
ownerId: [2],
startDate: new Date('2021-02-26T01:00:00.000Z'),
endDate: new Date('2021-02-26T03:00:00.000Z'),
priority: 1,
},
{
text: 'Territory Sales Breakdown Report',
ownerId: [1],
startDate: new Date('2021-02-26T15:45:00.000Z'),
endDate: new Date('2021-02-26T16:45:00.000Z'),
priority: 1,
},
{
text: 'Report on the State of Engineering Dept',
ownerId: [3],
startDate: new Date('2021-02-26T21:45:00.000Z'),
endDate: new Date('2021-02-26T22:30:00.000Z'),
priority: 2,
},
{
text: 'Staff Productivity Report',
ownerId: [4],
startDate: new Date('2021-02-26T23:15:00.000Z'),
endDate: new Date('2021-02-27T02:30:00.000Z'),
priority: 2,
},
];
export const resourcesData = [
{
text: 'Samantha Bright',
id: 1,
color: '#cb6bb2',
},
{
text: 'John Heart',
id: 2,
color: '#56ca85',
},
{
text: 'Todd Hoffman',
id: 3,
color: '#1e90ff',
},
{
text: 'Sandra Johnson',
id: 4,
color: '#ff9747',
},
];
export const priorityData = [
{
text: 'Low Priority',
id: 1,
color: '#1e90ff',
},
{
text: 'High Priority',
id: 2,
color: '#ff9747',
},
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.4/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
This demo shows multiple calendars side-by-side (with data grouped by resources). For information on how to configure such a display, see the following demos:

Backend API
<template>
<DxScheduler
time-zone="America/Los_Angeles"
:data-source="dataSource"
:current-date="currentDate"
:views="views"
:height="580"
:cell-duration="60"
:start-day-hour="8"
:end-day-hour="20"
:groups="groups"
:first-day-of-week="0"
:snap-to-cells-mode="snapToCellsMode"
current-view="timelineMonth"
>
<DxResource
:allow-multiple="true"
:data-source="resourcesData"
:use-color-as-default="true"
field-expr="ownerId"
label="Owner"
icon="user"
/>
<DxResource
:allow-multiple="false"
:data-source="priorityData"
field-expr="priority"
label="Priority"
icon="tags"
/>
</DxScheduler>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Snap to Grid:</span>
<DxSelectBox
:items="snapToCellsModeItems"
:value="snapToCellsMode"
@value-changed="onSnapToCellsModeChanged"
/>
</div>
</div>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import {
DxScheduler,
DxResource,
type DxSchedulerTypes,
} from 'devextreme-vue/scheduler';
import DxSelectBox, { type DxSelectBoxTypes } from 'devextreme-vue/select-box';
import { data, priorityData, resourcesData } from './data.ts';
const views: DxSchedulerTypes.ViewType[] = ['timelineDay', 'timelineWeek', 'timelineWorkWeek', 'timelineMonth'];
const groups = ['priority'];
const currentDate = new Date(2021, 1, 2);
const dataSource = data;
const snapToCellsModeItems: DxSchedulerTypes.SnapToCellsMode[] = ['auto', 'always', 'never'];
const snapToCellsMode = ref<DxSchedulerTypes.SnapToCellsMode>('always');
function onSnapToCellsModeChanged(e: DxSelectBoxTypes.ValueChangedEvent) {
snapToCellsMode.value = e.value;
}
</script>
<style scoped>
.dx-scheduler-timeline-day .dx-scheduler-cell-sizes-horizontal,
.dx-scheduler-timeline-week .dx-scheduler-cell-sizes-horizontal,
.dx-scheduler-timeline-work-week .dx-scheduler-cell-sizes-horizontal {
width: 100px;
}
.dx-scheduler-appointment-content {
color: white;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
display: flex;
align-items: center;
gap: 10px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'typescript': {
'exports': 'ts',
},
'vue': {
format: 'global',
exports: 'Vue',
esModule: true,
},
'vuex': {
format: 'global',
exports: 'Vuex',
esModule: true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.32/dist/vue.global.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'dx-systemjs-vue-browser': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'vue-loader': 'loaders:demo-vue-loader.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
export const resourcesData = [
{
text: 'Samantha Bright',
id: 1,
color: '#C2185B',
}, {
text: 'John Heart',
id: 2,
color: '#2E7D32',
}, {
text: 'Todd Hoffman',
id: 3,
color: '#1564C0',
}, {
text: 'Sandra Johnson',
id: 4,
color: '#DD2C00',
},
];
export const priorityData = [
{
text: 'Low Priority',
id: 1,
color: '#1564C0',
}, {
text: 'High Priority',
id: 2,
color: '#DD2C00',
},
];
export const data = [{
text: 'Google AdWords Strategy',
ownerId: [2],
startDate: new Date('2021-02-01T16:00:00.000Z'),
endDate: new Date('2021-02-01T17:30:00.000Z'),
priority: 1,
}, {
text: 'New Brochures',
ownerId: [1],
startDate: new Date('2021-02-01T18:30:00.000Z'),
endDate: new Date('2021-02-01T21:15:00.000Z'),
priority: 2,
}, {
text: 'Brochure Design Review',
ownerId: [4],
startDate: new Date('2021-02-01T20:15:00.000Z'),
endDate: new Date('2021-02-01T23:15:00.000Z'),
priority: 1,
}, {
text: 'Website Re-Design Plan',
ownerId: [3],
startDate: new Date('2021-02-01T23:45:00.000Z'),
endDate: new Date('2021-02-02T18:15:00.000Z'),
priority: 2,
}, {
text: 'Rollout of New Website and Marketing Brochures',
ownerId: [1],
startDate: new Date('2021-02-02T15:15:00.000Z'),
endDate: new Date('2021-02-02T17:45:00.000Z'),
priority: 2,
}, {
text: 'Update Sales Strategy Documents',
ownerId: [2],
startDate: new Date('2021-02-02T19:00:00.000Z'),
endDate: new Date('2021-02-02T20:45:00.000Z'),
priority: 1,
}, {
text: 'Non-Compete Agreements',
ownerId: [4],
startDate: new Date('2021-02-03T16:15:00.000Z'),
endDate: new Date('2021-02-03T17:00:00.000Z'),
priority: 1,
}, {
text: 'Approve Hiring of John Jeffers',
ownerId: [2],
startDate: new Date('2021-02-03T17:00:00.000Z'),
endDate: new Date('2021-02-03T18:15:00.000Z'),
priority: 2,
}, {
text: 'Update NDA Agreement',
ownerId: [1],
startDate: new Date('2021-02-03T18:45:00.000Z'),
endDate: new Date('2021-02-03T20:45:00.000Z'),
priority: 2,
}, {
text: 'Update Employee Files with New NDA',
ownerId: [2],
startDate: new Date('2021-02-03T21:00:00.000Z'),
endDate: new Date('2021-02-03T23:45:00.000Z'),
priority: 1,
}, {
text: 'Submit Questions Regarding New NDA',
ownerId: [1],
startDate: new Date('2021-02-05T01:00:00.000Z'),
endDate: new Date('2021-02-04T16:30:00.000Z'),
priority: 1,
}, {
text: 'Submit Signed NDA',
ownerId: [2],
startDate: new Date('2021-02-04T19:45:00.000Z'),
endDate: new Date('2021-02-04T21:00:00.000Z'),
priority: 1,
}, {
text: 'Review Revenue Projections',
ownerId: [3],
startDate: new Date('2021-02-05T00:15:00.000Z'),
endDate: new Date('2021-02-04T15:00:00.000Z'),
priority: 2,
}, {
text: 'Comment on Revenue Projections',
ownerId: [2],
startDate: new Date('2021-02-05T16:15:00.000Z'),
endDate: new Date('2021-02-05T18:15:00.000Z'),
priority: 1,
}, {
text: 'Provide New Health Insurance Docs',
ownerId: [3],
startDate: new Date('2021-02-05T19:45:00.000Z'),
endDate: new Date('2021-02-05T21:15:00.000Z'),
priority: 2,
}, {
text: 'Review Changes to Health Insurance Coverage',
ownerId: [2],
startDate: new Date('2021-02-05T21:15:00.000Z'),
endDate: new Date('2021-02-05T22:30:00.000Z'),
priority: 1,
}, {
text: 'Review Training Course for any Omissions',
ownerId: [2],
startDate: new Date('2021-02-08T21:00:00.000Z'),
endDate: new Date('2021-02-09T19:00:00.000Z'),
priority: 2,
}, {
text: 'Recall Rebate Form',
ownerId: [1],
startDate: new Date('2021-02-08T19:45:00.000Z'),
endDate: new Date('2021-02-08T20:15:00.000Z'),
priority: 1,
}, {
text: 'Create Report on Customer Feedback',
ownerId: [4],
startDate: new Date('2021-02-09T22:15:00.000Z'),
endDate: new Date('2021-02-10T00:30:00.000Z'),
priority: 2,
}, {
text: 'Review Customer Feedback Report',
ownerId: [2],
startDate: new Date('2021-02-09T23:15:00.000Z'),
endDate: new Date('2021-02-10T01:30:00.000Z'),
priority: 1,
}, {
text: 'Customer Feedback Report Analysis',
ownerId: [3],
startDate: new Date('2021-02-10T16:30:00.000Z'),
endDate: new Date('2021-02-10T17:30:00.000Z'),
priority: 1,
}, {
text: 'Prepare Shipping Cost Analysis Report',
ownerId: [4],
startDate: new Date('2021-02-10T19:30:00.000Z'),
endDate: new Date('2021-02-10T20:30:00.000Z'),
priority: 1,
}, {
text: 'Provide Feedback on Shippers',
ownerId: [2],
startDate: new Date('2021-02-10T21:15:00.000Z'),
endDate: new Date('2021-02-10T23:00:00.000Z'),
priority: 2,
}, {
text: 'Select Preferred Shipper',
ownerId: [1],
startDate: new Date('2021-02-11T00:30:00.000Z'),
endDate: new Date('2021-02-11T03:00:00.000Z'),
priority: 1,
}, {
text: 'Complete Shipper Selection Form',
ownerId: [2],
startDate: new Date('2021-02-11T15:30:00.000Z'),
endDate: new Date('2021-02-11T17:00:00.000Z'),
priority: 2,
}, {
text: 'Upgrade Server Hardware',
ownerId: [4],
startDate: new Date('2021-02-11T19:00:00.000Z'),
endDate: new Date('2021-02-11T21:15:00.000Z'),
priority: 1,
}, {
text: 'Upgrade Personal Computers',
ownerId: [3],
startDate: new Date('2021-02-11T21:45:00.000Z'),
endDate: new Date('2021-02-11T23:30:00.000Z'),
priority: 1,
}, {
text: 'Upgrade Apps to Windows RT or stay with WinForms',
ownerId: [1],
startDate: new Date('2021-02-12T17:30:00.000Z'),
endDate: new Date('2021-02-12T20:00:00.000Z'),
priority: 1,
}, {
text: 'Estimate Time Required to Touch-Enable Apps',
ownerId: [1],
startDate: new Date('2021-02-12T21:45:00.000Z'),
endDate: new Date('2021-02-12T23:30:00.000Z'),
priority: 1,
}, {
text: 'Report on Tranistion to Touch-Based Apps',
ownerId: [2],
startDate: new Date('2021-02-13T01:30:00.000Z'),
endDate: new Date('2021-02-13T02:00:00.000Z'),
priority: 1,
}, {
text: 'Submit New Website Design',
ownerId: [2],
startDate: new Date('2021-02-15T15:00:00.000Z'),
endDate: new Date('2021-02-15T17:00:00.000Z'),
priority: 2,
}, {
text: 'Create Icons for Website',
ownerId: [4],
startDate: new Date('2021-02-15T18:30:00.000Z'),
endDate: new Date('2021-02-15T20:15:00.000Z'),
priority: 1,
}, {
text: 'Create New Product Pages',
ownerId: [1],
startDate: new Date('2021-02-16T16:45:00.000Z'),
endDate: new Date('2021-02-16T18:45:00.000Z'),
priority: 2,
}, {
text: 'Approve Website Launch',
ownerId: [3],
startDate: new Date('2021-02-16T19:00:00.000Z'),
endDate: new Date('2021-02-16T22:15:00.000Z'),
priority: 1,
}, {
text: 'Update Customer Shipping Profiles',
ownerId: [3],
startDate: new Date('2021-02-17T16:30:00.000Z'),
endDate: new Date('2021-02-17T18:00:00.000Z'),
priority: 1,
}, {
text: 'Create New Shipping Return Labels',
ownerId: [4],
startDate: new Date('2021-02-17T19:45:00.000Z'),
endDate: new Date('2021-02-17T21:00:00.000Z'),
priority: 1,
}, {
text: 'Get Design for Shipping Return Labels',
ownerId: [3],
startDate: new Date('2021-02-17T22:00:00.000Z'),
endDate: new Date('2021-02-17T23:30:00.000Z'),
priority: 1,
}, {
text: 'PSD needed for Shipping Return Labels',
ownerId: [4],
startDate: new Date('2021-02-18T15:30:00.000Z'),
endDate: new Date('2021-02-18T16:15:00.000Z'),
priority: 2,
}, {
text: 'Contact ISP and Discuss Payment Options',
ownerId: [1],
startDate: new Date('2021-02-18T18:30:00.000Z'),
endDate: new Date('2021-02-18T23:00:00.000Z'),
priority: 2,
}, {
text: 'Prepare Year-End Support Summary Report',
ownerId: [2],
startDate: new Date('2021-02-19T00:00:00.000Z'),
endDate: new Date('2021-02-19T03:00:00.000Z'),
priority: 1,
}, {
text: 'Review New Training Material',
ownerId: [3],
startDate: new Date('2021-02-19T15:00:00.000Z'),
endDate: new Date('2021-02-19T16:15:00.000Z'),
priority: 2,
}, {
text: 'Distribute Training Material to Support Staff',
ownerId: [2],
startDate: new Date('2021-02-19T19:45:00.000Z'),
endDate: new Date('2021-02-19T21:00:00.000Z'),
priority: 1,
}, {
text: 'Training Material Distribution Schedule',
ownerId: [2],
startDate: new Date('2021-02-19T21:15:00.000Z'),
endDate: new Date('2021-02-19T23:15:00.000Z'),
priority: 1,
}, {
text: 'Approval on Converting to New HDMI Specification',
ownerId: [4],
startDate: new Date('2021-02-22T16:30:00.000Z'),
endDate: new Date('2021-02-22T17:15:00.000Z'),
priority: 2,
}, {
text: 'Create New Spike for Automation Server',
ownerId: [3],
startDate: new Date('2021-02-22T17:00:00.000Z'),
endDate: new Date('2021-02-22T19:30:00.000Z'),
priority: 2,
}, {
text: 'Code Review - New Automation Server',
ownerId: [1],
startDate: new Date('2021-02-22T20:00:00.000Z'),
endDate: new Date('2021-02-22T22:00:00.000Z'),
priority: 1,
}, {
text: 'Confirm Availability for Sales Meeting',
ownerId: [1],
startDate: new Date('2021-02-23T17:15:00.000Z'),
endDate: new Date('2021-02-23T22:15:00.000Z'),
priority: 2,
}, {
text: 'Reschedule Sales Team Meeting',
ownerId: [2],
startDate: new Date('2021-02-23T23:15:00.000Z'),
endDate: new Date('2021-02-24T01:00:00.000Z'),
priority: 2,
}, {
text: 'Send 2 Remotes for Giveaways',
ownerId: [3],
startDate: new Date('2021-02-24T16:30:00.000Z'),
endDate: new Date('2021-02-24T18:45:00.000Z'),
priority: 1,
}, {
text: 'Discuss Product Giveaways with Management',
ownerId: [1],
startDate: new Date('2021-02-24T19:15:00.000Z'),
endDate: new Date('2021-02-24T23:45:00.000Z'),
priority: 2,
}, {
text: 'Replace Desktops on the 3rd Floor',
ownerId: [2],
startDate: new Date('2021-02-25T16:30:00.000Z'),
endDate: new Date('2021-02-25T17:45:00.000Z'),
priority: 1,
}, {
text: 'Update Database with New Leads',
ownerId: [3],
startDate: new Date('2021-02-25T19:00:00.000Z'),
endDate: new Date('2021-02-25T21:15:00.000Z'),
priority: 2,
}, {
text: 'Mail New Leads for Follow Up',
ownerId: [1],
startDate: new Date('2021-02-25T21:45:00.000Z'),
endDate: new Date('2021-02-25T22:30:00.000Z'),
priority: 2,
}, {
text: 'Send Territory Sales Breakdown',
ownerId: [2],
startDate: new Date('2021-02-26T01:00:00.000Z'),
endDate: new Date('2021-02-26T03:00:00.000Z'),
priority: 1,
}, {
text: 'Territory Sales Breakdown Report',
ownerId: [1],
startDate: new Date('2021-02-26T15:45:00.000Z'),
endDate: new Date('2021-02-26T16:45:00.000Z'),
priority: 1,
}, {
text: 'Report on the State of Engineering Dept',
ownerId: [3],
startDate: new Date('2021-02-26T21:45:00.000Z'),
endDate: new Date('2021-02-26T22:30:00.000Z'),
priority: 2,
}, {
text: 'Staff Productivity Report',
ownerId: [4],
startDate: new Date('2021-02-26T23:15:00.000Z'),
endDate: new Date('2021-02-27T02:30:00.000Z'),
priority: 2,
}];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
This demo allows you to explore the capabilities of our Timeline view:
- You can switch between Timeline view types using the View Switcher toolbar item.
- You can enable our "Snap to Grid" option for all appointments or short appointments only (shorter than two cells in duration). For additional information, see snapToCellsMode.
Note how the DevExtreme Scheduler groups appointments by resource to separate low and high priority tasks. For additional information, refer to the following technical demo: Scheduler - Grouping by Resources.